## org.apache.hadoop.mapreduce.lib.db
Class OracleDataDrivenDBRecordReader<T extends DBWritable>

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<LongWritable,T>
          org.apache.hadoop.mapreduce.lib.db.DBRecordReader<T>
              org.apache.hadoop.mapreduce.lib.db.DataDrivenDBRecordReader<T>
                  org.apache.hadoop.mapreduce.lib.db.OracleDataDrivenDBRecordReader<T>

All Implemented Interfaces:
  Closeable

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class OracleDataDrivenDBRecordReader<T extends DBWritable>

extends DataDrivenDBRecordReader<T>

A RecordReader that reads records from a Oracle table via DataDrivenDBRecordReader

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.lib.db.DBRecordReader
`statement`

Constructor Summary
`OracleDataDrivenDBRecordReader(DBInputFormat.DBInputSplit split, Class<T> inputClass, Configuration conf, Connection conn, DBConfiguration dbConfig, String cond, String[] fields, String table)`

Method Summary

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBRecordReader
`getSelectQuery`

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBRecordReader
`close, createValue, executeQuery, getConditions, getConnection, getCurrentKey, getCurrentValue, getDBConf, getFieldNames, getPos, getProgress, getSplit, getStatement, getTableName, initialize, next, nextKeyValue, setStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDataDrivenDBRecordReader

    public OracleDataDrivenDBRecordReader(DBInputFormat.DBInputSplit split,
                                          Class<T> inputClass,
                                          Configuration conf,
                                          Connection conn,
                                          DBConfiguration dbConfig,
                                          String cond,
                                          String[] fields,
                                          String table)
                                   throws SQLException

Throws:
  `SQLException`

Copyright © 2009 The Apache Software Foundation